FRM(1)

NAZWA
frm, nfrm - podaje pola from i subject wybranych wiadomości w skrzynce pocztowej (mailbox) lub folderze

SKŁADNIA
frm [-hnQqStv] [-s status] [folder | użytkownik] ...
nfrm [-hnQqStv] [-s status] [folder | użytkownik] ...

OPIS
Frm podaje informację o wybranych wiadomościach (jedna na linię) w formacie:

nadawca [temat]

gdzie nadawca jest nazwą osoby od której jest dany wiadomość, a temat jest tematem wiadomości, o ile istnieje. Jeśli wiadomość jest od Ciebie, część nadawca zostanie zastąpiona polem ``To user'', gdzie `user' jest zastąpione nazwą osoby do której poczta została wysłana. Ten przypadek jest możliwy kiedy dostajesz kopię poczty, którą wcześniej wysłałeś.

Jeśli jest podana nazwa foldera, program przeszukuje go zamiast standardowej skrzynki pocztowej. Jeśli jako argument podana jest nazwa użytkownika frm przeszukuje jego skrzynkę pocztową, o ile mamy prawo dostępu do niej.

Nazwę folderu możemy podać w podobnej notacji jak przy wywołaniu programu pocztowego Elmr (np., =folder).

Frm wywołany jako nfrm działa identycznie jak ``frm -s new''.

OPCJE
Frm może być wywołany z następującymi opcjami:

-h  Wyświetl krótki opis opisujący możliwe opcje.

-n  Ponumeruj wiadomości używając takiego schematu numerowania, który zrozumie na przykład, readmsg.

-Q  Tryb wyświetlający jedynie informacje o błędach. Ta opcja może być przydatna w skryptach powłoki, gdzie ważne jest jedynie czy program zakończył się sukcesem czy też nie, a reszta informacji jest nieistotna.

-q  Tryb "cichy". Wyświetla jedynie jednolinijkowy komunikat dla każdego podanego folderu lub skrzynki pocztowej.

-S  Podaje liczbę wiadomości o określonym statusie w każdej podanej skrzynce pocztowej lub folderze. Jeśli chcesz aby została wyświetlona jedynie linia z liczbą wiadomości użyj dodatkowo -q .

-s status
    Wyświetl jedynie wiadomości o podanym statusie. `status' możesz zastąpić słowem "new" (nowy), "unread" (nieczytany), "old" (ta samo co "unread"), or "read" (przeczytany). Opcja -s może być podana wiele razy aby wyświetlić informację o np. nowych i nieprzeczytanych wiadomościach. Wystarczy abyś podał jedynie pierwszą literę statusu.

-t  Tryb "schludny". Jeśli pole from jest zbyt długie aby zmieścić się z polem subject które zaczyna się w standardowo określonym miejscu, przesuwa pole subject o jedną linię poniżej.

-v  Tryb "gadatliwy". Wyświetla opis w nagłówku przed wylistowaniem zawartości każdej podanej skrzynki pocztowej lub folderu.

KOD WYJŚCIA
Frm zwraca status zero ("prawda") jeśli wiadomości pasujące do `status' są obecne. Frm zwraca 1 jeśli nie ma wiadomości pasujących do `status', ale są jakieś inne , zwraca 2 jeśli w ogóle nie ma wiadomości, lub 3 jeśli pojawił się jakiś błąd. Jeśli podano wiele skrzynek pocztowych lub folderów, kod wyjścia odnosi się jedynie do ostatnio sprawdzanego. Może zostać to wykorzystane w skryptach aby sprawdzić jaki rodzaj poczty posiada użytkownik.

Przykłady
Kilka przykładów użycia:
	$ frm
wyświetli informację o wszystkich wiadomościach w Twojej skrzynce pocztowej lub ``You have no mail.'' jeśli nie ma żadnych wiadomości w niej.
	$ frm -s new
wyświetli informację o wszystkich nowych wiadomościach w Twojej skrzynce pocztowej ``You have no new mail.'' Zauważ drobną różnicę z poprzednim przykładem.
	$ frm -s new -s unread guest
zakładając że masz odpowiednie prawa dostępu do (czytania) poczty użytkownika guest , frm wyświetli informację o wszystkich nowych wiadomościach w skrzynce pocztowej użytkownika guest. Jeśli nie ma poczty, frm wypisze ~``guest has no mail.''
	$ frm -q -S
wyświetli jedno liniową informację o ilości poczty przeczytanej, nie czytanej i nowej w Twojej skrzynce pocztowej. Np. ``You have 2 new messages, 3 unread messages, 23 read messages.''

AUTOR
Elm Development Group

ZOBACZ TAKŻE
readmsg(1L), elm(1L), mail(1), mailx(1)

INFORMACJE O BŁĘDACH DO
Syd Weinstein    elm@DSI.COM    (dsinc!elm)

COPYRIGHTS
Copyright 1988-1992 by The USENET Community Trust
Derived from Elm 2.0, Copyright 1986, 1987 by Dave Taylor